Skip Menu |
 

This queue is for tickets about the CPANPLUS CPAN distribution.

Report information
The Basics
Id: 44859
Status: stalled
Priority: 0/
Queue: CPANPLUS

People
Owner: Nobody in particular
Requestors: bryce2 [...] obviously.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: uninstall claims module is not installed, incorrectly
CPAN Terminal> m DBD::Sponge 1 DBD::Sponge 12.010002 TIMB CPAN Terminal> u 1 This will uninstall the following modules: DBD::Sponge Note that if you installed them via a package manager, you probably should use the same package manager to uninstall them Are you sure you want to continue? [y/N]: y Uninstalling 'DBD::Sponge' [ERROR] Could not get 'files' for 'DBD::Sponge': DBD::Sponge is not installed at /usr/local/share/perl/5.8.8/CPANPLUS/Module.pm line 1468 Error uninstalling 'DBD::Sponge' Problem uninstallinging one or more modules *** You can view the complete error buffer by pressing 'p'*** CPAN Terminal> p [HISTORY] [Tue Apr 7 22:11:14 2009] Are you sure you want to continue? [y/N]: y [ERROR] [Tue Apr 7 22:11:14 2009] Could not get 'files' for 'DBD::Sponge': DBD::Sponge is not installed at /usr/local/share/perl/5.8.8/CPANPLUS/Module .pm line 1468 CPAN Terminal> l CPANPLUS Details for 'CPANPLUS' Author Jos Boumans (kane@cpan.org) Description Command-line access to the CPAN interface Development Stage Released Installed File /usr/local/share/perl/5.8.8/CPANPLUS.pm Interface Style Object oriented using blessed references and/or inheritance Language Used Perl-only, no compiler needed, should be platform independent Package CPANPLUS-0.84.tar.gz Public License Unknown Support Level Mailing-list Version Installed 0.84 Version on CPAN 0.84
Download (untitled) / with headers
text/plain 1.2k
Hi, On Wed Apr 08 01:14:44 2009, brycenesbitt wrote: Show quoted text
> CPAN Terminal> m DBD::Sponge > > 1 DBD::Sponge 12.010002
TIMB Show quoted text
> > > CPAN Terminal> u 1 > > > This will uninstall the following modules: > DBD::Sponge > > Note that if you installed them via a package manager, you probably > should use the same package manager to uninstall them > > Are you sure you want to continue? [y/N]: y > Uninstalling 'DBD::Sponge' > [ERROR] Could not get 'files' for 'DBD::Sponge': DBD::Sponge is not > installed at /usr/local/share/perl/5.8.8/CPANPLUS/Module.pm line 1468
This means that ExtUtils::Installed could not find the .packlist file for this module. If you have a custom @INC path (one you set with the env variable PERL5LIB for example), that might happen. In the latest development snapshot we've addressed some of these issues EU::I had, and maybe it also fixed your issue. Could you try it out please? The latest snapshot is here: http://search.cpan.org/~kane/CPANPLUS-0.85_09/ Thanks,


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.